#
# spec file for package chessx (Version 0.8)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Name:           chessx
Summary:        A chess database application
License:        GNU General Public License (GPL) v2
Group:          Amusements/Games/Board/Chess
Version:        0.8
Release:        1.3
URL:            http://chessx.sourceforge.net/
Source:         %{name}-%{version}.tar.bz2
Source1:	%{name}.png
Source2:	%{name}.desktop 
Source100:	%{name}.changes
Patch0:         %{name}-datapath.patch
BuildRequires:  gcc-c++ libqt4-devel update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
Recommends:	crafty

%description 
- ChessX is a chess database. With ChessX you can operate on your collection of chess games in many ways: browse, edit, add, organize, analyze, etc. 
- ChessX is totally free and open source. You can simply download and use it as is, or modify it the way you like under the GPL licence. 
- ChessX is cross-platform. You can use it indifferently on Linux, Windows and Mac OS X. 
- If you are interested in details, ChessX is written in C++ programming language and uses Qt library to have a modern and portable graphical interface.



%prep
%setup -q 

# we want to install to /usr/bin and /usr/share/%{name}, not to /usr/games/*whatever*
%patch0 -p0

%build
/usr/bin/qmake

# build the language files
/usr/bin/lrelease i18n/*.ts

# build the binary
/usr/bin/make

%install
# install the binary
install -D -m 755 bin/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

# install data files
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r data/* $RPM_BUILD_ROOT%{_datadir}/%{name}/

# install language files
cp i18n/*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/lang/

# install desktop file & icon
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%suse_update_desktop_file -i "chessx" Game BoardGame Qt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.developers TODO
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_bindir}/%{name}

%changelog
* Fri Nov 19 2010 packman@links2linux.de - 0.8
- updated to 0.8 release
* Wed Feb 10 2010 packman@links2linux.de - 0.7
- updated to 0.7 release
  * bugfix: do not crash when removing engines
  * bugfix: no problems with more than 10 engines
  * bugfix: do not stop running engine on minimize/hide
  * usability: browse for executable when adding new engines
  * bugfix: correctly display NAGs below the board
  * bugfix: correctly truncate previous moves
  * feature: global shortcut F2 to start/stop engine
  * change: speedup by canceling previous OpeningTree search before the next
  * bugfix: ignore clicks on illegal OpeningTree moves like [end]
  * feature: make editable PGN size limit configurable
  * feature: show progress bar when opening/saving files
  * feature: show progress bar for OpeningTree
  * feature: promote variation
* Sun Feb  7 2010 packman@links2linux.de - 0.6.99_SVNr1004
- updated to r1004 from SVN
  * Fix: stop engine when AnalysisWidget is really hidden
  * Add global shortcut to start/stop engine (F2)
  * Avoid restarting engine when minimizing/hiding
- patch refreshed
- added "Qt" to desktop file
* Wed Jan  6 2010 AxelKoellhofer@web.de - 0.6.99_SVNr990
- updated to revision 990 from svn
* Thu Sep  3 2009 AxelKoellhofer@web.de - 0.6.99_SVNr973
- initial package, version 0.6.99 (= 0.7pre from SVN)
